批量查询本地产品已保存的1688配对
POST
/erp/sc/routing/product/batchGetAlibabaMatch查询本地产品已保存的1688配对,不实时请求1688。ids 与 skus 二者必填一项;ids 生效时忽略 skus,不参与校验、查询或补充。生效数组最多100项,超限返回提示,不截取,请分批查询。
接口信息
| API Path | 请求协议 | 请求方式 |
|---|---|---|
/erp/sc/routing/product/batchGetAlibabaMatch | HTTPS | POST |
请求参数
idsarray<any>skusarray<any>请求示例
{
"ids": [
"10001"
]
}
请求cURL示例
curl --location 'https://openapi.lingxing.com/erp/sc/routing/product/batchGetAlibabaMatch?app_key=value×tamp=value&sign=value' \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{"ids":["10001"]}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
product_idstring必填skustring必填product_namestring必填supplier_listarray<object>必填隐藏子属性
supplier_idstring必填supplier_namestring必填is_primaryinteger必填match_listarray<object>必填隐藏子属性
match_idstring必填match_modeinteger必填offer_idstring必填spec_idstring必填sku_idstring必填alibaba_supplier_namestring必填alibaba_product_namestring必填product_urlstring必填attributesarray<object>必填隐藏子属性
attribute_idstring必填attribute_namestring必填attribute_valuestring必填local_product_qtystring必填alibaba_product_qtystring必填matched_numstring必填price_infoobject必填隐藏子属性
currencystring必填unitstring必填retail_pricestring必填price_rangesarray<object>必填隐藏子属性
start_quantitystring必填pricestring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "52688b81-2398-4e60-9617-619fc2cf5b1e",
"response_time": "2026-11-17 10:00:00",
"total": 1,
"data": [
{
"product_id": "10001",
"sku": "SKU-001",
"product_name": "示例商品",
"supplier_list": [
{
"supplier_id": "20001",
"supplier_name": "示例供应商",
"is_primary": 1,
"match_list": [
{
"match_id": "30001",
"match_mode": 0,
"offer_id": "168800000001",
"spec_id": "",
"sku_id": "168800000002",
"alibaba_supplier_name": "示例1688供应商",
"alibaba_product_name": "示例商品",
"product_url": "https://detail.1688.com/offer/168800000001.html",
"attributes": [
{
"attribute_id": "1",
"attribute_name": "颜色",
"attribute_value": "蓝色"
}
],
"local_product_qty": "1",
"alibaba_product_qty": "1",
"matched_num": "1",
"price_info": {
"currency": "CNY",
"unit": "件",
"retail_price": "10.00",
"price_ranges": [
{
"start_quantity": "1",
"price": "10.00"
}
]
}
}
]
}
]
}
]
}